Executive Summary

Informations
NameCVE-2013-2174First vendor Publication2013-07-31
VendorCveLast vendor Modification2019-04-22

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score6.8Attack RangeNetwork
Cvss Impact Score6.4Attack ComplexityMedium
Cvss Expoit Score8.6AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

Heap-based buffer overflow in the curl_easy_unescape function in lib/escape.c in cURL and libcurl 7.7 through 7.30.0 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted string ending in a "%" (percent) character.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2174

CWE : Common Weakness Enumeration

%idName
100 %CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer

OVAL Definitions

Definition Id: oval:org.mitre.oval:def:21195
 
Oval ID: oval:org.mitre.oval:def:21195
Title: RHSA-2013:0983: curl security update (Moderate)
Description: Heap-based buffer overflow in the curl_easy_unescape function in lib/escape.c in cURL and libcurl 7.7 through 7.30.0 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted string ending in a "%" (percent) character.
Family: unix Class: patch
Reference(s): RHSA-2013:0983-00
CESA-2013:0983
CVE-2013-2174
Version: 4
Platform(s): Red Hat Enterprise Linux 5
Red Hat Enterprise Linux 6
CentOS Linux 5
CentOS Linux 6
Product(s): curl
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:18350
 
Oval ID: oval:org.mitre.oval:def:18350
Title: USN-1894-1 -- curl vulnerability
Description: libcurl could be made to crash or run programs as your login if it receiv ed specially crafted input.
Family: unix Class: patch
Reference(s): USN-1894-1
CVE-2013-2174
Version: 7
Platform(s): Ubuntu 13.04
Ubuntu 12.10
Ubuntu 12.04
Ubuntu 10.04
Product(s): curl
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:18308
 
Oval ID: oval:org.mitre.oval:def:18308
Title: DSA-2713-1 curl - heap overflow
Description: Timo Sirainen discovered that cURL, an URL transfer library, is prone to a heap overflow vulnerability due to bad checking of the input data in the curl_easy_unescape function.
Family: unix Class: patch
Reference(s): DSA-2713-1
CVE-2013-2174
Version: 8
Platform(s): Debian GNU/Linux 6.0
Debian GNU/Linux 7
Debian GNU/kFreeBSD 6.0
Debian GNU/kFreeBSD 7
Product(s): curl
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:23721
 
Oval ID: oval:org.mitre.oval:def:23721
Title: ELSA-2013:0983: curl security update (Moderate)
Description: Heap-based buffer overflow in the curl_easy_unescape function in lib/escape.c in cURL and libcurl 7.7 through 7.30.0 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted string ending in a "%" (percent) character.
Family: unix Class: patch
Reference(s): ELSA-2013:0983-00
CVE-2013-2174
Version: 6
Platform(s): Oracle Linux 5
Oracle Linux 6
Product(s): curl
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:23483
 
Oval ID: oval:org.mitre.oval:def:23483
Title: DEPRECATED: ELSA-2013:0983: curl security update (Moderate)
Description: Heap-based buffer overflow in the curl_easy_unescape function in lib/escape.c in cURL and libcurl 7.7 through 7.30.0 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted string ending in a "%" (percent) character.
Family: unix Class: patch
Reference(s): ELSA-2013:0983-00
CVE-2013-2174
Version: 7
Platform(s): Oracle Linux 5
Oracle Linux 6
Product(s): curl
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:25977
 
Oval ID: oval:org.mitre.oval:def:25977
Title: SUSE-SU-2013:1166-1 -- Security update for compat-curl2
Description: This update of compat-curl2 fixes a security vulnerability: * libcurl URL decode buffer boundary flaw (bnc#824517 / CVE-2013-2174) Security Issue reference: * CVE-2013-2174 <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2174 >
Family: unix Class: patch
Reference(s): SUSE-SU-2013:1166-1
CVE-2013-2174
Version: 3
Platform(s): SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 11
SUSE Linux Enterprise Desktop 10
Product(s): compat-curl2
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:25912
 
Oval ID: oval:org.mitre.oval:def:25912
Title: SUSE-SU-2013:1166-2 -- Security update for curl
Description: This update of curl fixes several security issues. * libcurl URL decode buffer boundary flaw (bnc#824517 / CVE-2013-2174) Security Issue reference: * CVE-2013-2174 <http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2174 >
Family: unix Class: patch
Reference(s): SUSE-SU-2013:1166-2
CVE-2013-2174
Version: 3
Platform(s): SUSE Linux Enterprise Server 10
SUSE Linux Enterprise Desktop 10
Product(s): curl
Definition Synopsis:
Definition Id: oval:org.mitre.oval:def:27292
 
Oval ID: oval:org.mitre.oval:def:27292
Title: DEPRECATED: ELSA-2013-0983 -- curl security update (moderate)
Description: [7.19.7-37] - fix heap-based buffer overflow in curl_easy_unescape() (CVE-2013-2174)
Family: unix Class: patch
Reference(s): ELSA-2013-0983
CVE-2013-2174
Version: 4
Platform(s): Oracle Linux 5
Oracle Linux 6
Product(s): curl
Definition Synopsis:

CPE : Common Platform Enumeration

TypeDescriptionCount
Application81
Application81
Os4
Os1
Os2

Nessus® Vulnerability Scanner

DateDescription
2016-06-22Name : The remote OracleVM host is missing a security update.
File : oraclevm_OVMSA-2016-0056.nasl - Type : ACT_GATHER_INFO
2015-01-19Name : The remote Solaris system is missing a security patch for third-party software.
File : solaris11_libcurl_20140415.nasl - Type : ACT_GATHER_INFO
2014-11-08Name : The remote Red Hat host is missing a security update.
File : redhat-RHSA-2013-1076.nasl - Type : ACT_GATHER_INFO
2014-06-13Name : The remote openSUSE host is missing a security update.
File : openSUSE-2013-552.nasl - Type : ACT_GATHER_INFO
2014-01-21Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201401-14.nasl - Type : ACT_GATHER_INFO
2013-07-23Name : The remote Fedora host is missing a security update.
File : fedora_2013-11568.nasl - Type : ACT_GATHER_INFO
2013-07-18Name : The remote SuSE 11 host is missing one or more security updates.
File : suse_11_curl-130625.nasl - Type : ACT_GATHER_INFO
2013-07-12Name : The remote Oracle Linux host is missing one or more security updates.
File : oraclelinux_ELSA-2013-0983.nasl - Type : ACT_GATHER_INFO
2013-07-12Name : The remote Fedora host is missing a security update.
File : fedora_2013-11521.nasl - Type : ACT_GATHER_INFO
2013-07-12Name : The remote Fedora host is missing a security update.
File : fedora_2013-11574.nasl - Type : ACT_GATHER_INFO
2013-07-11Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_curl-8614.nasl - Type : ACT_GATHER_INFO
2013-07-10Name : The remote SuSE 11 host is missing one or more security updates.
File : suse_11_curl-130618.nasl - Type : ACT_GATHER_INFO
2013-07-10Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_compat-curl2-8621.nasl - Type : ACT_GATHER_INFO
2013-07-10Name : The remote SuSE 10 host is missing a security-related patch.
File : suse_libcurl4-8618.nasl - Type : ACT_GATHER_INFO
2013-07-03Name : The remote Ubuntu host is missing one or more security-related patches.
File : ubuntu_USN-1894-1.nasl - Type : ACT_GATHER_INFO
2013-06-28Name : The remote Mandriva Linux host is missing one or more security updates.
File : mandriva_MDVSA-2013-180.nasl - Type : ACT_GATHER_INFO
2013-06-27Name : The remote CentOS host is missing one or more security updates.
File : centos_RHSA-2013-0983.nasl - Type : ACT_GATHER_INFO
2013-06-26Name : The remote Red Hat host is missing one or more security updates.
File : redhat-RHSA-2013-0983.nasl - Type : ACT_GATHER_INFO
2013-06-26Name : The remote Scientific Linux host is missing one or more security updates.
File : sl_20130625_curl_on_SL5_x.nasl - Type : ACT_GATHER_INFO
2013-06-25Name : The remote Debian host is missing a security-related update.
File : debian_DSA-2713.nasl - Type : ACT_GATHER_INFO
2013-06-24Name : The remote Slackware host is missing a security update.
File : Slackware_SSA_2013-174-01.nasl - Type : ACT_GATHER_INFO
2013-06-24Name : The remote FreeBSD host is missing a security-related update.
File : freebsd_pkg_01cf67b3dc3b11e2a6cdc48508086173.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

SourceUrl
BID http://www.securityfocus.com/bid/60737
CONFIRM http://curl.haxx.se/docs/adv_20130622.html
http://www.oracle.com/technetwork/topics/security/cpujul2015-2367936.html
http://www.oracle.com/technetwork/topics/security/ovmbulletinjul2016-3090546....
https://github.com/bagder/curl/commit/192c4f788d48f82c03e9cef40013f34370e90737
DEBIAN http://www.debian.org/security/2013/dsa-2713
REDHAT http://rhn.redhat.com/errata/RHSA-2013-0983.html
SUSE http://lists.opensuse.org/opensuse-updates/2013-07/msg00013.html
UBUNTU http://www.ubuntu.com/usn/USN-1894-1

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
8
9
10
11
12
13
DateInformations
2019-04-22 21:19:08
  • Multiple Updates
2018-10-31 00:20:31
  • Multiple Updates
2018-01-26 12:04:47
  • Multiple Updates
2016-11-29 00:24:49
  • Multiple Updates
2016-09-09 09:23:16
  • Multiple Updates
2016-06-23 13:29:27
  • Multiple Updates
2016-04-26 23:05:35
  • Multiple Updates
2015-07-17 09:19:13
  • Multiple Updates
2015-01-21 13:26:15
  • Multiple Updates
2014-11-08 13:30:47
  • Multiple Updates
2014-06-14 13:35:25
  • Multiple Updates
2014-02-17 11:19:08
  • Multiple Updates
2013-08-01 00:20:11
  • Multiple Updates
2013-07-31 17:19:12
  • First insertion